# $Id: smeserver-centos2sme.spec,v 1.4 2020/04/17 21:36:48 jpp Exp $
# Authority: unnilennium
# Name: Jean-Philippe Pialasse 

Summary: smeserver-centos2sme
%define name smeserver-centos2sme
%define version 6.9.1
# version number CentosMajorVersion.SMEmajorVersion.RPMversion
%define release 9
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: Applications/System
Source: %{name}-%{version}.tgz
Patch0: smeserver-centos2sme-6.9.1-bz10535-fix-path.patch
Patch1: smeserver-centos2sme-6.9.1-bz10535-improvements.patch
Patch2: smeserver-centos2sme-6.9.1-firstSME10.patch
Patch3: smeserver-centos2sme-6.9.1-SME10-2.patch
Patch4: smeserver-centos2sme-6.9.1-secondSME10.patch

BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch
BuildRequires: e-smith-devtools >= 1.13.1-03
Requires: centos-release >= 7

%description
Package to help transform a centos box into a Koozali SME Server.
Just run /usr/bin/centos2sme ; answer the few question and sit back  while your base install of centos is morphed into a SME Server. 
Do not use on a machine with user data present or with extra packages already installed.
%prep
%setup
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
# /usr/bin/perl createlinks

%install
/bin/rm -rf $RPM_BUILD_ROOT
(cd root   ; /usr/bin/find . -depth -print | /bin/cpio -dump $RPM_BUILD_ROOT)
/bin/rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
	--file /usr/bin/centos2sme '%attr(0755,root,root)' \
	> %{name}-%{version}-filelist
cat %{name}-%{version}-filelist
%files -f %{name}-%{version}-filelist
%defattr(-,root,root,-)

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch /etc/hosts.deny_ssh

%changelog
* Sat Mar 20 2021 Jean-Philippe Pialasse <tests@pialasse.com> 6.9.1-9.sme
- use systemctl when needed [SME: 10850]
- fix issue with sshd not reloading and locking user [SME: 10850]
- remove rpm -e dhcp-common 

* Fri Apr 17 2020 Jean-Philipe Pialasse <tests@pialasse.com> 6.9.1-8.sme
- improve script
- TODO: *some deps are forced, might be added as dep for e-smith-base
        *some packages conflicting like nm and firewalld are removed should be done via e-smith-base

* Fri Apr 17 2020 Jean-Philipe Pialasse <tests@pialasse.com> 6.9.1-7.sme
- fix Requires, improve script

* Sun Dec 15 2019 Jean-Philipe Pialasse <tests@pialasse.com> 6.9.1-6.sme
- first build for SME10

* Mon Mar 12 2018 Jean-Philipe Pialasse <tests@pialasse.com> 6.9.1-5.sme
- few improvements and bug fixes see patch improvements

* Sat Mar 10 2018 Jean-Philipe Pialasse <tests@pialasse.com> 6.9.1-4.sme
- fix execution permission on /usr/bin/centos2sme [SME: 10535]
- added warning at the begining of script to check for working network interface
- added warning at end of script to add a SSH key before the reboot
- added full path to signal-event in the last messages
- set path after first packages installation.

* Fri Mar 09 2018 Jean-Philipe Pialasse <tests@pialasse.com> 6.9.1-3.sme
- fix bad dependencies to smeserver release and formagick [SME: 10535]
- added requirement for centos-release between 6 and 7.

* Fri Mar 09 2018 Jean-Philipe Pialasse <tests@pialasse.com> 6.9.1-2.sme
- initial version [SME: 10533]

